#include <iostream>

using namespace std;

int main(){
    int n,k,br = 0;
    cin>>n;
    cin>>k;
    int m[n];
    int mp[n*2+1];
    int d = 0;
    for(int i = 0 ; i < n ; i++){
        cin>>m[i];
    }
    for(int i = 0 ; i < n*2+1 ; i++){
        mp[i] = 0;
    }
    for(int i = 0 ; i < n ; i++){
        d = m[i];
        mp[n+d]++;
    }
    for(int i = 0 ; i < n*2+1 ; i++){
        if(mp[i] == 0) continue;
        else if(mp[i]/k>0) br = br + 1;
    }
    cout<<br<<endl;
    for(int i = 0 ; i < n*2+1 ; i++){
        if(mp[i] == 0) continue;
        else if(mp[i]/k>0) cout<<i-n<<" ";
    }
    return 0;
}